import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaMemberStatus } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaMemberStatusService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaMemberStatus[]> {
    return this.rpcService.call('MetaMemberStatusService.readAll');
  }
}
